/* File name     : camlib.h
 * Creation date : August 1991
 * Modified      : August 1992, Y.Y
 * Author        : Y.Yasu, Online group, Physics department, KEK
 */

#define u_short unsigned short
#include "cc_main.h"
#include "cc_config.h"
#include "ccreg.h"
#include "cc_common.h"

#define CC_CMAK_BLOCK           8187
#define CC_K_MODES              3
#define CC_K_MODES_QSTOP        0
#define CC_K_MODES_IGNRQ        1
#define CC_K_MODES_REPEAT       2
#define CC_K_MODES_ASCAN        3
#define CC_K_MODE_WS24		0
#define CC_K_MODE_WS16		0x2
#define CC_K_MODE_BLOCK		0x20

#define CAM_Open COPEN
#define CAMOPN COPEN
#define CAM_Close CCLOSE
#define CAMCLS CCLOSE
#define CAMACL CAMAC
#define CAM_EnableLAM CENLAM
#define CAM_DisableLAM CDSLAM
#define CELAM CENLAM
#define CDLAM CDSLAM
#define CAM_WaitLAM CWTLAM
#define CWLAM CWTLAM
#define CAM_EnableSIG CESIG
#define CAM_DisableSIG CDSIG
#define CamBloWorWAIt CDMAW
#define CBWWAI CDMAW
#define CamBloLonWAIt CDMAL
#define CBLWAI CDMAL
#define CamLisExeWAIt CLEWAI
#define CamExeWAIt CEWAI
#define CamLisLOAD CLLOAD
#define CamReaLIST CRLIST


