/*
 * novanet.h
 *
 *              version 1.03    09-OCT-1992     Masaharu NOMACHI   (KEK)
 *		version 1.07	20-NOV-1993	Yasuo TAKEUCHI	(T.I.T.)
 */

#include "config.h"

#ifdef SGI
#ifndef _BSD_SIGNALS
#define _BSD_SIGNALS
#endif
#endif

#ifdef VXWORKS
#include <socket.h>
#include <msgQLib.h>
#include <sigLib.h>
#include <sockLib.h>
#include <in.h>
#include <errno.h>
#else
#include <sys/param.h>
/* not exist on Solaris 2.x ?
#include <sys/dir.h>
 */
#include <sys/socket.h>
#include <sys/un.h>
#include <sys/wait.h>
#include <sys/types.h>
#include <sys/file.h>
#include <sys/stat.h>

#include <netinet/in.h>

#include <stdio.h>
#include <netdb.h>
#include <syslog.h>
#include <signal.h>
#include <sgtty.h>
#include <ctype.h>
#include <errno.h>
#include <pwd.h>
#include <grp.h>

#ifdef SOLARIS2
struct  sigvec {
#if defined(__cplusplus)
	void    (*sv_handler)(int, int, struct sigcontext *, char *);
#else
	void    (*sv_handler)();        /* signal handler */
#endif
	int     sv_mask;                /* signal mask to apply */
	int     sv_flags;               /* see signal options below */
};
#endif

#endif

#define NOVA_PORT          1987
#define NOVA_HOSTNAME_MAX  32

#define TRUE 1

/*
 * prototype
 */
struct NOVAD *net_nova_open(  );

