/********************************************************************
 * camlib.h     10-NOV-1991    by Y.Takeuchi (T.I.T.)               *
 * for SUN-SPARC SF-VME K2917 K3922                                 *
 *                                                                  *
 * 13-JUL-1992 Y.Takeuchi    modified for new CC-driver             *
 * 30-NOV-1992 Y.Takeuchi    delete signal subroutines              *
 *  5-MAR-1993 Y.Takeuchi    modify for unified UNIX camlib         *
 ********************************************************************/
#include "cc_common.h"

/* CAMAC function aliases */
#define CAM_Open       CAMOPN
#define COPEN          CAMOPN
#define CAM_Close      CAMCLS
#define CCLOSE         CAMCLS
#define CAMACL         CAMAC
#define CamBloWorWAIt  CDMAW
#define CBWWAI         CDMAW
#define CamBloLonWAIt  CDMAL
#define CBLWAI         CDMAL
#define CamLisExeWAIt  CLEWAI
#define CamLisLOAD     CLLOAD
#define CamExeWAIt     CEWAI
#define CamCAN         CCAN
#define CamReaLIST     CRLIST
#define CAM_EnableLAM  CELAM
#define CENLAM         CELAM
#define CAM_DisableLAM CDLAM
#define CDSLAM         CDLAM
#define CAM_WaitLAM    CWLAM
#define CWTLAM         CWLAM

/* return value */
#define CC_TIMEOUT        1

/* constant for "mode" of CAMAC block system call */
#define CC_Q_STOP         0
#define CC_IGNORE_Q       1
#define CC_Q_REPEAT       2
#define CC_Q_SCAN         3

