C ******************************************************************
C **
C **                  MURMUR Message Utility
C **
C ** File: sdc_pack_msg_F.inc
C ** Created: Wed Nov 11 11:35:11 1992
C ** Message Input File: sdc_pack.msg
C ** By User: ball
C **
C ******************************************************************
C   This is the primary message file for the murmur error messages
C   of sdc_pack.  The facility number is arbitrarily chosen as 100 decimal.
C   The database files are generated on pablo via the commands:
C      cd $SDC_PACK/murmur_client/error/inc
C      message sdc_pack.msg $SDC_PACK/murmur_client/error/lib
C      $SDC_PACK/bin/murmur_con <sdc_pack.lis
	INTEGER sdc_pack_facnum
	PARAMETER (sdc_pack_facnum = 100)

C ########################################################################
C   General errors.  This section is constructed differently than the
C   remaining sections below.
C 		First the general Success message.
	INTEGER     General_Success
	PARAMETER (General_Success = -2145845239)

C 		Next, Informational message.
	INTEGER     General_Info
	PARAMETER (General_Info = -2145845229)

C 		Next, Warning message.
	INTEGER     General_Warning
	PARAMETER (General_Warning = -2145845222)

C 		Finally, the generalized Error message.
	INTEGER     General_Error
	PARAMETER (General_Error = -2145845212)

C ########################################################################
C   Run Control section
C 		First the Successes.
	INTEGER     Runco_Execute
	PARAMETER (Runco_Execute = -2145845167)

C 		Next, Informational.
	INTEGER     Runco_Start
	PARAMETER (Runco_Start = -2145845085)

	INTEGER     Runco_End
	PARAMETER (Runco_End = -2145845077)

	INTEGER     Runco_Suspend
	PARAMETER (Runco_Suspend = -2145845069)

	INTEGER     Runco_Resume
	PARAMETER (Runco_Resume = -2145845061)

C 		Next, Warnings.
	INTEGER     Runco_Incompat
	PARAMETER (Runco_Incompat = -2145845006)

	INTEGER     Runco_NotDone
	PARAMETER (Runco_NotDone = -2145844998)

C 		Finally, the Errors.
	INTEGER     Runco_No_Xecute
	PARAMETER (Runco_No_Xecute = -2145844924)

	INTEGER     Runco_ANY_comm
	PARAMETER (Runco_ANY_comm = -2145844916)

C ########################################################################
C   XPC section
C 		First the Successes.
	INTEGER     XPC_STRT
	PARAMETER (XPC_STRT = -2145844367)

	INTEGER     XPC_STOP
	PARAMETER (XPC_STOP = -2145844359)

C 		Next, Informational.
	INTEGER     XPC_REstrt
	PARAMETER (XPC_REstrt = -2145844285)

	INTEGER     XPC_Self_strt
	PARAMETER (XPC_Self_strt = -2145844277)

	INTEGER     XPC_Self_stop
	PARAMETER (XPC_Self_stop = -2145844269)

C 		Next, Warnings.
	INTEGER     XPC_NOstrt
	PARAMETER (XPC_NOstrt = -2145844206)

C 		Finally, the Errors.
	INTEGER     XPC_Dead
	PARAMETER (XPC_Dead = -2145844124)

	INTEGER     XPC_Send
	PARAMETER (XPC_Send = -2145844116)

C ########################################################################
C   XPC Checker section
C 		First the Successes.
C 		Next, Informational.
	INTEGER     XPC_Chk_XPC_rstrt
	PARAMETER (XPC_Chk_XPC_rstrt = -2145843485)

C 		Next, Warnings.
C 		Finally, the Errors.
	INTEGER     XPC_Chk_XPC_dead
	PARAMETER (XPC_Chk_XPC_dead = -2145843324)

C ########################################################################
C   Operator section
C 		First the Successes.
	INTEGER     Oper_Send_OK
	PARAMETER (Oper_Send_OK = -2145842767)

C 		Next, Informational.
C 		Next, Warnings.
	INTEGER     Oper_NotCompat
	PARAMETER (Oper_NotCompat = -2145842606)

	INTEGER     Oper_NO_Send
	PARAMETER (Oper_NO_Send = -2145842598)

C 		Finally, the Errors.
