/*************************************************************
 * operator.h
 *************************************************************/


#define MSG_STOR 1
#define MSG_RUN  2
#define MSG_PROMPT 4

#define MAX_STR_LEN 200
#define COMMAND "command>> "

#define MAX_RUN_STATES 4
#define STR_RUN_STATES  "Idle","Initialize","Pause","Run"

#define STORTIME 10


#define INT_HEX      1
#define INT_DEC      2
#define INT_CONV     3
#define REAL         4
#define STRING       5
#define YES          1
#define NO           2

struct rp_def {
  char txt[20];
  char variable[30];
  char proc[30];
  int type;
  int (*conversion)();
  int rc_mod;
};
struct rc_def {
  char txt[20];
  int (*action)();
};
