/*
 *  $USERUNIDAQ/analyzer/analyzer.d/analyzer.h
 */
/*---------------------------------------------------------------*/
/*                                                               */
/*      Cengiz ERBAS                                             */
/*      Superconducting Super Collider Laboratory                */
/*      July 20, 1992                                            */
/*                                                               */
/*---------------------------------------------------------------*/


#include "generic.h"

/*---------------------------------------------------------------*/
/*        Definitions for the User Variable Dictionary           */
/*---------------------------------------------------------------*/
int run_number = -1, eventnr = 0, runstate = END_STATE;

struct var_dict_type var_dict_usr[20] = {
   "runstate", INTEGER, (int) &runstate,
   "run_number",INTEGER, (int) &run_number
};

int var_number_usr = 2;


/*---------------------------------------------------------------*/
/*        Definitions for the User Command Dictionary            */
/*---------------------------------------------------------------*/
int Begin();
int End();
int Paw();
int Link();
int Display();
int PawC();
int Unlink();
int Add();
int Delete();
int ExitA();
int List();
int make_global_();
int ComProc();
 
struct cmd_dict_type cmd_dict_usr[22] = {
   "BEGIN", (int (*)()) Begin,
   "END", (int (*)()) End,
   "PAW", (int (*)()) Paw,
   "LINK", (int (*)()) Link, 
   "DISPLAY", (int (*)()) Display, 
   "PAWC", (int (*)()) PawC,
   "UNLINK", (int (*)()) Unlink,
   "ADD", (int (*)()) Add,
   "DELETE", (int (*)()) Delete,
   "EXIT", (int (*)()) ExitA,
   "LIST", (int (*)()) List,
   "QUIT", (int (*)()) ExitA,
   "HLIMAP", (int (*)()) make_global_,
   "COMPROC", (int (*)()) ComProc,
};
 
int cmd_number_usr = 14;
 

