/*************************************************
 * CVS Log
 * murDspDb.h,v
 * Revision 1.1.1.1  1993/07/14  19:43:19  dbrenner
 * UNIDAQ 2.1 distribution - July 14,1993
 *
*************************************************/
#ifndef MURDSPDB_H
#define MURDSPDB_H

/* ----------------------------------------------------  
 * defines for the color names
 * ---------------------------------------------------- 
 */

#define	MUR_COLOR_RED			"#FF0000000000"
#define MUR_COLOR_BLACK			"#000000000000"
#define MUR_COLOR_GREEN			"#000060040000"
#define MUR_COLOR_BLUE			"#00000000FF00"
#define MUR_COLOR_WHITE			"#FC00FC00FC00"
#define MUR_COLOR_YELLOW		"#FF00FF000000"
#define MUR_COLOR_CYAN			"#0000FF00FF00"
#define MUR_COLOR_MAGENTA		"#FF000000FF00"
#define MUR_COLOR_CADETBLUE		"#5F009F009F00"
#define MUR_COLOR_CORNFLOWERBLUE	"#420042006F00"
#define MUR_COLOR_LIGHTBLUE		"#BF00D800D800"
#define MUR_COLOR_LIGHTSTEELBLUE	"#8F008F00BC00"
#define MUR_COLOR_MEDIUMBLUE		"#32003200CC00"
#define MUR_COLOR_NAVYBLUE		"#230023008E00"
#define MUR_COLOR_SKYBLUE		"#32009900CC00"
#define MUR_COLOR_SLATEBLUE		"#00007F00FF00"

/*  ---------------------------------------------------
 *  consts and defines for the mouse actions 
 *  ---------------------------------------------------
 */

#define MUR_MOUSE_ACTION_TITLE		1L
#define MUR_MOUSE_ACTION_HELP_TEXT	2L
#define MUR_MOUSE_ACTION_SCRIPT		3L
#define MUR_MOUSE_ACTION_INTERNAL	4L
#define MUR_MOUSE_ACTION_EXTERNAL	5L

/* ---------------------------------------------------
 * consts and defines for the initialization of Xclient
 * ---------------------------------------------------- 
 */

/* total number of msgs in the buffer */

#define MUR_MAX_NUMBER_OF_MESSAGES	200

/* ---------------------------------------------------- 
 * consts for different types of message windows 
 * ---------------------------------------------------- 
 */

#define MUR_SWIDGET_TYPE		1L
#define MUR_MWIDGET_TYPE                2L
#define MUR_MSWIDGET_TYPE		3L
#define MUR_AUTOWIDGET_TYPE		4L

#endif




















