/*************************************************
 * CVS Log
 * mur_errtab.h,v
 * Revision 1.1.1.1  1993/07/14  19:43:19  dbrenner
 * UNIDAQ 2.1 distribution - July 14,1993
 *
*************************************************/
#ifndef MUR_ERRTAB_HEADER
#define MUR_ERRTAB_HEADER
/*************************************************************************
**
**	MURMUR Error Message Definition Table of Unix Errors
**
** Messages are generated from : /usr/include/sys/errno.h
**
** This table is generated once per platform (SunOS, IRIX,
** AIX, ULTRIX).
*************************************************************************/

unsigned long mur_errnoTbl[] = {
	0X8000800C     /*  Unknown UNIX System error message  */,
	0X80008014     /*  Not owner   */,
	0X8000801C     /*  No such file or directory   */,
	0X80008024     /*  No such process   */,
	0X8000802C     /*  Interrupted system call   */,
	0X80008034     /*  I/O error   */,
	0X8000803C     /*  No such device or address   */,
	0X80008044     /*  Arg list too long   */,
	0X8000804C     /*  Exec format error   */,
	0X80008054     /*  Bad file number   */,
	0X8000805C     /*  No children   */,
	0X80008064     /*  No more processes   */,
	0X8000806C     /*  Not enough core   */,
	0X80008074     /*  Permission denied   */,
	0X8000807C     /*  Bad address   */,
	0X80008084     /*  Block device required   */,
	0X8000808C     /*  Mount device busy   */,
	0X80008094     /*  File exists   */,
	0X8000809C     /*  Cross-device link   */,
	0X800080A4     /*  No such device   */,
	0X800080AC     /*  Not a directory  */,
	0X800080B4     /*  Is a directory   */,
	0X800080BC     /*  Invalid argument   */,
	0X800080C4     /*  File table overflow   */,
	0X800080CC     /*  Too many open files   */,
	0X800080D4     /*  Not a typewriter   */,
	0X800080DC     /*  Text file busy   */,
	0X800080E4     /*  File too large   */,
	0X800080EC     /*  No space left on device   */,
	0X800080F4     /*  Illegal seek   */,
	0X800080FC     /*  Read-only file system   */,
	0X80008104     /*  Too many links   */,
	0X8000810C     /*  Broken pipe   */,
	0X80008114     /*  Argument too large   */,
	0X8000811C     /*  Result too large   */,
	0X8000828C     /*  Operation would block   */,
	0X8000814C     /*  Operation now in progress   */,
	0X80008154     /*  Operation already in progress   */,
	0X8000815C     /*  Socket operation on non-socket   */,
	0X80008164     /*  Destination address required   */,
	0X8000816C     /*  Message too long   */,
	0X80008274     /*  Protocol wrong type for socket   */,
	0X80008174     /*  Protocol not available   */,
	0X8000817C     /*  Protocol not supported   */,
	0X80008184     /*  Socket type not supported   */,
	0X8000818C     /*  Operation not supported on socket   */,
	0X80008194     /*  Protocol family not supported   */,
	0X8000819C     /*  Address family not supported by protocol family   */,
	0X800081A4     /*  Address already in use   */,
	0X800081AC     /*  Can't assign requested address   */,
	0X800081B4     /*  Network is down   */,
	0X800081BC     /*  Network is unreachable   */,
	0X800081C4     /*  Network dropped connection on reset   */,
	0X800081CC     /*  Software caused connection abort   */,
	0X800081D4     /*  Connection reset by peer   */,
	0X800081DC     /*  No buffer space available   */,
	0X800081E4     /*  Socket is already connected   */,
	0X800081EC     /*  Socket is not connected   */,
	0X800081F4     /*  Can't send after socket shutdown   */,
	0X800081FC     /*  Too many references: can't splice   */,
	0X80008204     /*  Connection timed out   */,
	0X8000820C     /*  Connection refused   */,
	0X80008224     /*  Too many levels of symbolic links   */,
	0X8000822C     /*  File name too long   */,
	0X80008214     /*  Host is down   */,
	0X8000821C     /*  No route to host   */,
	0X80008284     /*  Directory not empty   */,
	0X80008294     /*  Too many processes   */,
	0X8000829C     /*  Too many users   */,
	0X80008234     /*  Disc quota exceeded   */,
	0X8000827C     /*  Stale NFS file handle   */,
	0X8000825C     /*  Too many levels of remote in path   */,
	0X80008244     /*  Device is not a stream   */,
	0X8000824C     /*  Timer expired   */,
	0X80008254     /*  Out of streams resources   */,
	0X80008124     /*  No message of desired type   */,
	0X8000826C     /*  Trying to read unreadable message   */,
	0X8000812C     /*  Identifier removed   */,
	0X8000823C     /*  Deadlock condition.   */,
	0X80008134     /*  No record locks available.   */,
	0X800082A4     /*  Machine is not on the network   */,
	0X800092C4     /*  Object is remote   */,
	0X800082AC     /*  the link has been severed   */,
	0X800082B4     /*  advertise error   */,
	0X800082BC     /*  srmount error   */,
	0X800082C4     /*  Communication error on send   */,
	0X80008264     /*  Protocol error   */,
	0X800082CC     /*  multihop attempted   */,
	0X800092CC     /*  Cross mount point (not an error)   */,
	0X800082D4     /*  Remote address changed   */,
	0X80008144     /*  function not implemented   */
	};

long int MUR_ERRTABSIZE = sizeof(mur_errnoTbl)/sizeof(mur_errnoTbl[0]);

#endif
