/*
 *   $USERUNIDAQ/analyzer/analyzer.gl/analyzer.h
 */
/*---------------------------------------------------------------*/
/*                                                               */
/*      Cengiz ERBAS                                             */
/*      Superconducting Super Collider Laboratory                */
/*      July 20, 1992                                            */
/*                                                               */
/*---------------------------------------------------------------*/


#include "generic.h"

/*---------------------------------------------------------------*/
/*        Definitions for the User Variable Dictionary           */
/*---------------------------------------------------------------*/
int runnr = 0, eventnr = 0, runstate = END_STATE;

struct var_dict_type var_dict_usr[20] = {
   "runstate", INTEGER, (int) &runstate 
};

int var_number_usr = 1;


/*---------------------------------------------------------------*/
/*        Definitions for the User Command Dictionary            */
/*---------------------------------------------------------------*/
int Begin();
int End();
int ExitA();
 
struct cmd_dict_type cmd_dict_usr[3] = {
   "BEGIN", (int (*)()) Begin,
   "END", (int (*)()) End,
   "EXIT", (int (*)()) ExitA
};
 
int cmd_number_usr = 3;
 

