/*************************************************
 * hcreatei.c,v
*************************************************/
/*CMZ :  4.14/02 02/03/92  18.24.35  by  Rene Brun*/
/*-- Author :    Fons Rademakers   20/03/91*/
/*         to enable creating of ZEBRA store */
/*              26/02/92   W. Burkot        */
#include <stdio.h>
#include <errno.h>
#include <sys/types.h>
#include <sys/ipc.h>
#include <sys/shm.h>


int  shm_pawc;
long len;

int hcreatei_(mkey, size, comaddr)
/*
 * mkey          identifier for the shared segment
 * size          length of common in 32 bit words
 * comaddr       starting address of the mapping (*)

 *            starting address of the mapping (*)
 *               (*) = output variables
 */
long  *comaddr;
int   *size;
key_t *mkey;
{
   int             istat;
   int             flag = IPC_CREAT | 0666;
/*   int             flag = IPC_CREAT | 0666 | SHM_DEST; */
   unsigned long   inter;
   char            *paddr,*req_addr, *shmat();
   struct shmid_ds shm_stat;
   len = *size * 4;

   /* create shared memory segment */
   if ((shm_pawc = shmget(*mkey, len, flag)) < 0) {
      perror("shmget");
      istat = -errno;
      return(istat);
   }
      shmctl(shm_pawc,IPC_STAT, &shm_stat);

   /* attach shared memory segment */
   /*                              */
   /* starting at req_addr W.B.    */
      req_addr= (char*)(*comaddr);
    if ((paddr = shmat(shm_pawc, req_addr, SHM_RND)) == (char *)-1) {
      perror("shmat");
      istat = -errno;
   } else {
      istat    = 0;
      inter = (long) paddr;
      printf("*com=%d,len=%d\n",inter >> 2,len);
      printf("len set=%d\n",shm_stat.shm_segsz);
      *comaddr = (unsigned) inter >> 2;
   }
   return(istat);
}






